<?php
class jsonCommon{
	public function season_type($sport,$league, $type_int=NULL){
		$file = 'https://site.api.espn.com/apis/site/v2/sports/'.$sport.'/'.$league.'/scoreboard';
		$url = file_get_contents($file);
		$games = json_decode($url, true);
		$season_type = $games['season']['type'];
		switch($season_type){
			case 1 : $type = 'pre'; break;
			case 2 : $type = 'reg'; break;
			case 3 : $type = 'post'; break;
			case 4 : $type = 'off'; break;
			default: $type = 'reg'; break;
		}
		$type = !$type_int
			? $type
			: $season_type;
		return $type;
	}
	public function select_dates($sport,$league,$seleted,$season_type){
		$json = "https://sports.core.api.espn.com/v2/sports/".$sport."/leagues/".$league."/calendar/whitelist";
		$url = file_get_contents($json);
		$games = json_decode($url, true);

		$season = $games['sections'];
		$date = $games['eventDate']['dates'];
		$dates = count($date);
		$seasons = count($season);
		$in = array('T','Z');
		$out = array(' ',':00');
		$select = '<select id="date-'.$league.'" class="date-select" data-league="'.$league.'">'."\n";
		$season_array = $this->season_type($sport,$league,1);
		$season_array = $league != 'college-football'
			? $season[$season_array - 1]['label']
			: $season[$season_array - 2]['label'];
		for($i = 0; $i < $seasons; $i++){
			$season_name = $season[$i]['label'];
			if($season_name == $season_array){
				$start = $season[$i]['startDate'];
				$end = $season[$i]['endDate'];
				$start = str_ireplace($in,$out,$start);
				$end = str_ireplace($in,$out,$end);
				if($league == 'nfl' || $league == 'college-football'){
					$week = $season[$i]['entries'];
					$weeks = count($week);
					for($w = 0; $w < $weeks; $w++){
						$week_name = $week[$w]['value'];
						$week_start = $week[$w]['startDate'];
						$week_start = str_ireplace($in,$out,$week_start);
						$week_start = date('Ymd', strtotime($week_start));
						$week_end = $week[$w]['endDate'];
						$week_end = str_ireplace($in,$out,$week_end);
						$week_end = date('Ymd', strtotime($week_end));
						$select .= '<option value='.$week_name.'';
						if($seleted == $week_name) $select .=' selected="selected" ';
						$select .='>Week '.$week_name.'';
						$select .='</option>';
					}
				}
			};
		}
		if($league != 'nfl' && $league != 'college-football'){
			foreach($date as $v=>$k){
				$k = str_ireplace($in,$out,$k);
				if($k >= $start && $k <= $end){
					$display = date('M jS (D)', strtotime($k));
					$date = date('Ymd', strtotime($k));
					$select .='<option value='.$date.'';
					if($seleted == $date) $select .=' selected="selected" ';
					$select .='>'.$display.'';
					$select .='</option>';
				}
			}
		}
		$select .= '</select>';
		return $select;
	}
	public function select_event($games,$league){
		$game = $games['events'];
		$cnt = count($game);
		$select = '<select id="event-'.$league.'" class="event-select" data-league="'.$league.'" data-max='.$cnt.'>'."\n";
		for($c = 0; $c < $cnt; $c++){
			$home = $game[$c]['competitions'][0]['competitors'][0]['team']['displayName'];
			$home_abb = $game[$c]['competitions'][0]['competitors'][0]['team']['abbreviation'];
			$away = $game[$c]['competitions'][0]['competitors'][1]['team']['displayName'];
			$away_abb = $game[$c]['competitions'][0]['competitors'][1]['team']['abbreviation'];
			$gn = $c + 1;
			$gn = $gn < 10
				? '&nbsp;'.$gn
				: $gn;
			$active = 0;
			if($c == 0) $active = 1;
			$select .= '	<option value="'.$c.'"  data-target="#carousel-'.$league.'" data-slide-to="'.$c.'"';
			if($active) $select .= ' selected="selected" ';
			$select .= '>'.$gn.'. '.$away.' @ '.$home.'</option>'."\n";
		}
		$select .= '</select>'."\n";
		return $select;
	}
	public function getGames($date,$sport,$league,$json,$header,$type){
		$byes = '';
		$get_type = $league == 'nfl' || $league == 'college-football'
			? 'week'
			: 'dates';
		$get = $date
			? '?'.$get_type.'='.$date
			: '';
		switch($type){
			case 'pre' : $type = 1; break;
			case 'reg' : $type = 2; break;
			case 'post' : $type = 3; break;
			case 'off' : $type = 4; break;
			default: $type = 2; break;
		}
		$get = $league == 'nfl' || $league == 'college-football'
			? '?seasontype='.$type.'&'.$get_type.'='.$date
			: $get;
		$file = 'https://site.api.espn.com/apis/site/v2/sports/'.$sport.'/'.$league.'/scoreboard'.$get;
		$url = file_get_contents($file);
		$games = json_decode($url, true);
		$cnt_games = count($games['events']);
		$season_type = $games['season']['type'];
		switch($season_type){
			case 1 : $season = 'Preseason'; break;
			case 2 : $season = 'Regular Season'; break;
			case 3 : $season = 'Postseason'; break;
			case 4 : $season = 'Off Season'; break;
			default: $season = 'Regular Season'; break;
		}
		if($league == 'nfl' || $league == 'college-football'){
			$year = $games['leagues'][0]['season']['year'];
			$week = $games['week']['number'];
			$cnt_games = count($games['events']);
			$display_date = 'Week '.$week.',&nbsp;'.$year;
			$selected = $week;
			if(isset($games['week'])){
				if(isset($games['week']['teamsOnBye'])){
					$teamsOnBye = $games['week']['teamsOnBye'];
					$cnt_byes = count($teamsOnBye);
					$byes .= ' <div class="margin-bottom-sm text-left">'."\n";
					$byes .= '<strong>Byes:</strong> ';
					for($ib=0; $ib<$cnt_byes; $ib++){
						$by = $games['week']['teamsOnBye'][$ib]['displayName'];
						$by = str_ireplace(' ', '&nbsp;', $by);
						$byes .= ''.$by.'';
						if($cnt_byes != $ib + 1) $byes .= ', ';
					}
					$byes .= "\n";
					$byes .= ' </div>'."\n";
				}
			}
		}else{
			$date = !$date
				? $games['day']['date']
				: $date;
			$display_date = date('l F jS, Y', strtotime($date));
			$in = array('T','Z','');
			$out = array(' ','','');
			$get_date = ''.str_ireplace($in, $out, $date);
			$get_date = date('Ymd', strtotime($date));
			$selected = $get_date;
		}
		echo '<div class="'.$league.'-marker twrap margin-bottom-sm max-600 center" data-pos=0>'."\n";
		echo '<div class="head-wrapper">';
		echo '<div>'."\n";
		echo '	<img src="image/'.$league.'.png" alt="" class="display-inline-block margin-bottom-sm" style="max-height:20px;" /> '."\n";
		echo '	<div class="display-inline-block margin-bottom-sm"><span class="bold">'.$header.'</span> <span class="italic">'.$display_date.'</span> ('.$cnt_games.'&nbsp;games)</div>'."\n";
		echo '</div>';
		echo '<div class="margin-bottom-sm">';
		echo '	<div class="display-inline-block margin-bottom-sm">'.$this->select_dates($sport,$league,$selected,$season).'</div> ';
		echo '	<div class="display-inline-block margin-bottom-sm">'.$this->select_event($games,$league).'</div>';
		echo '</div>';
		if($byes) echo '	<div class="margin-bottom-sm">'.$byes.'</div>';
		echo '</div>';
		echo '</div>'."\n";
echo '<div class="wrapper">'."\n";
echo '	<div class="wrapper-reload center min-600">'."\n";
echo '		<div class="pause  pause-'.$league.'" data-league="'.$league.'">&#9208;</div>'."\n";
echo '		<div class="prev display-inline-block jumbo-text pointer text-left" data-league="'.$league.'"><div class="arrow">&lsaquo;</div></div>'."\n";
echo '		<div id="carousel-'.$league.'" class="carousel display-inline-block" data-interval="false" data-ride="carousel">'."\n";
echo '			<div class="carousel-inner text-left">'."\n";
$this->$json($games);
echo '			</div>'."\n";
echo '		</div>'."\n";
echo '		<div class="next display-inline-block jumbo-text pointer" data-league="'.$league.'"><div class="arrow">&rsaquo;</div></div>'."\n";
echo '	</div>'."\n";
echo '</div>'."\n";
		echo '<div class="margin-bottom clear"></div>'."\n";
	}
}
$common = new jsonCommon();
?>