<?php
class jsonBaseball extends jsonCommon{
	public function leaders_display($array,$team,$type=NULL){
		$game_stats = '';
		$game_stats .= '<tr>';
		$leader = $array[$team]['leaders'];
		$leader_cnt = count($leader);
		for($iw=0; $iw<3; $iw++){
			$cat = '';
			$lineclass = '';
			$player = $leader[$iw]['leaders'][0]['athlete']['shortName'];
			$stat = $leader[$iw]['leaders'][0]['displayValue'];
			$val = $leader[$iw]['leaders'][0]['value'];
			$name = $leader[$iw]['abbreviation'];
			$headshot = '<img src="image/headshot.png" alt="" style="width:55px;" class="center" />';
			if(isset($leader[$iw]['leaders'][0]['athlete']['headshot'])){
				$img = $leader[$iw]['leaders'][0]['athlete']['headshot'];
				$headshot = '<img src="'.$img.'" alt="" style="width:55px;" class="center" />';
			}
			if($val>0){
				if($iw === 0) $cat .= 'AVG';
				if($iw === 1) $cat .= 'HR';
				if($iw === 2) $cat .= 'RBI';
				if($type == 'player'){
					$game_stats .= '<td class="padding-all-sm"><strong>'.$player.'</strong></td>';
				}
				if($type == 'stats'){
					if($cat == 'AVG'){
						$val = number_format($val, 3, '.', '');
						$str = ltrim($val, '0') ?: '0';
						$val = $str;
					}
					$game_stats .= '<td>'.$val.' '.$cat.'</td>';
				}
				if($type == 'display'){
					$game_stats .= '<td class="padding-all-sm smaller-text">'.$stat.'</td>';
				}
				if($type == 'headshot'){
					$game_stats .= '<td class="padding-all-sm">'.$headshot.'</td>';
				}
			}
		}
		$game_stats .= '</tr>';
		echo $game_stats;
	}
	public function linescores($array,$team,$logo,$win,$score,$hits,$errors,$complete,$dh,$header=NULL){
		$ic = $dh
			? 7
			: 9;
		$class = $header
			? ' smaller-text'
			: '';
		$win_class = ($win && $complete && !$header)
			? ' green'
			: '';
		if(!$header){
			$logo = '<img src="'.$logo.'" alt="" style="width:22px;" />';
		}else{
			$logo = '';
		}
		echo '	<tr>'."\n";
		echo '		<td class="padding-sm-all">'.$logo.'</td>'."\n";
		if(isset($array[1]['linescores'])){
			$awayinnings = $array[1]['linescores'];
			$cnt_awayinnings = count($awayinnings);
			$homeinnings = $array[0]['linescores'];
			$cnt_homeinnings = count($homeinnings);
			if(isset($array[$team]['linescores'])){
				$innings = $array[$team]['linescores'];
				$cnt_innings = count($innings);
				for($ai=0; $ai<$cnt_innings; $ai++){
					if(isset($innings[$ai]['value'])){
						$inning = $innings[$ai]['value'];
						if($header){
							$inning = $ai + 1;
							$hinning = $inning < 10
								? ''.$inning.'&nbsp;'
								: $inning;
							echo '		<td class="padding-sm-all'.$win_class.'">'.$hinning.'</td>'."\n";
						}else
							echo '		<td class="padding-sm-all'.$win_class.'">'.$inning.'</td>'."\n";
					}
				}
				if(($team == 0 && $cnt_awayinnings > $cnt_homeinnings)){
					$blank = $complete
						? 'X'
						: '0';
					$blank = 'X';
					echo '		<td class="padding-sm-all center'.$class.$win_class.'">'.$blank.'</td>'."\n";
				}
				$max = $cnt_innings <= $ic
					? $ic
					: $cnt_innings;
				if($team == 0){
					$max = $cnt_awayinnings == $cnt_homeinnings
					 ? $max
					 : $max - 1;
				}
				for($ai=$cnt_innings; $ai<$max; $ai++){
					if($header){
						$inning = $ai + 1;
						$hinning = $inning < 10
							? '&nbsp;'
							: '';
						echo '		<td class="padding-sm-all">'.($ai + 1).$hinning.'</td>'."\n";
					}else{
						if(!$complete){
							if($team == 1){
								echo '		<td class="padding-sm-all center'.$class.$win_class.'">X</td>'."\n";
							}
							if($team == 0){
									echo '		<td class="padding-sm-all center'.$class.$win_class.'">X</td>'."\n";
							}
						}
					}
				}
			}
		}else{
			$max = $ic;
			for($ai=0; $ai<$max; $ai++){
					$inning = 0;
					if($header) $inning = $ai + 1;
					$hinning = $inning < 10
						? ''.$inning.'&nbsp;'
						: $inning;
					echo '		<td class="padding-sm-all'.$win_class.'">'.$hinning.'</td>'."\n";
			}
		}
		$pad = $header
			? '&nbsp;'
			: '';
		echo '		<td class="padding-sm-all"><span class="bold'.$win_class.'">'.$score.$pad.'</span></td>'."\n";
		echo '		<td class="padding-sm-all"><span class="bold'.$win_class.'">'.$hits.$pad.'</span></td>'."\n";
		echo '		<td class="padding-sm-all"><span class="bold'.$win_class.'">'.$errors.$pad.'</span></td>'."\n";
		echo '	</tr>'."\n";
	}
	public function stats_pitcher($stats,$name){
		$return = NULL;
		foreach($stats as $r){
			$stat = $r['name'];
			if($stat == $name) $return = $r['displayValue'];
		}
		return $return;
	}
	public function baseball_json($games){
		$text_onbase = 0;
		$game = $games['events'];
		$gameTime = '';
		$tween = 0;
		$winning_team = '';
		$losing_team = '';
		$cnt = count($game);
		for($i=0; $i<$cnt; $i++){
			$dh = 0;
			$dhn = 0;
			$notes = '';
			$id = $game[$i]['id'];
			if(isset($game[$i]['competitions'][0]['notes'][0])){
				$notes = $game[$i]['competitions'][0]['notes'][0]['headline'];
				$getdh = strstr($notes, ' ', true);
				$getdh = strtolower($getdh);
				$dh = strpos($getdh, 'doubleheader') !== false
					? 1
					: 0;
				$headline = $game[$i]['competitions'][0]['notes'][0]['headline'];
				$headline = strtolower($headline);
				if(strpos($headline, 'game 1') !== false){
					$dhn = 1;
				}else if(strpos($headline, 'game 2') !== false){
					$dhn = 2;
				}else{
					
				}
				$dhn = trim($dhn);
			}
			$complete = $game[$i]['status']['type']['completed'];
			$description = $game[$i]['status']['type']['description'];
			$detail = $game[$i]['status']['type']['detail'];
			$shortDetail = $game[$i]['status']['type']['shortDetail'];
			$postponed = $detail == 'Postponed'
				? 1
				: 0;
			if($description == 'Scheduled'){
				$date = str_ireplace(array(' at', 'EDT',' EST'.' - '),array('','',''),$detail);
				$gameTime = date('D M jS g:i a', strtotime($date));
				if($shortDetail == 'TBD'){
					list($edate,$etime) = explode(" - ",$detail);
					$gameTime = date('D M jS', strtotime($edate));
				}
			}else{
				$dh_status = $dh
					? ' DH '.$dhn
					: '';
				$status = $complete
					? ' Complete'.$dh_status
					: ' In Progress'.$dh_status;
				$gameTime = $detail == 'Postponed'
					? ' Postponed'
					: $status;
			}
			if($complete){
				$saving_pitcher = '';
				$winning_w = '';
				$winning_l = '';
				$winning_era = '';
				$winning_pitcher = '';
				$losing_w = '';
				$losing_l = '';
				$losing_era = '';
				$losing_pitcher = '';
				if(isset($game[$i]['competitions'][0]['status']['featuredAthletes'])){
					$featuredAthletes = $game[$i]['competitions'][0]['status']['featuredAthletes'];
					$winning_pitcher = $featuredAthletes[0]['athlete']['shortName'];
					$pit_w_game = $game[$i]['competitions'][0]['leaders'][0]['leaders'][0]['displayValue'];
					$con = $featuredAthletes[0]['statistics'];
					$dcon = '';
					foreach($con as $r){
						$dcon = $r['name'];
						if($dcon == 'wins') $winning_w = $r['displayValue'];
						if($dcon == 'losses') $winning_l = $r['displayValue'];
						if($dcon == 'ERA') $winning_era = $r['displayValue'];
					}
					$losing_pitcher = $featuredAthletes[1]['athlete']['shortName'];
					$pit_l_game = $game[$i]['competitions'][0]['leaders'][0]['leaders'][1]['displayValue'];
					$con = $featuredAthletes[1]['statistics'];
					$dcon = '';
					foreach($con as $r){
						$dcon = $r['name'];
						if($dcon == 'wins') $losing_w = $r['displayValue'];
						if($dcon == 'losses') $losing_l = $r['displayValue'];
						if($dcon == 'ERA') $losing_era = $r['displayValue'];
					}
					if(isset($featuredAthletes[2]['athlete'])){
						$saving_pitcher = $featuredAthletes[2]['athlete']['shortName'];
						$saving_w = '';
						$saving_l = '';
						$saving_era = '';
						$saving_save = '';
						$con = $featuredAthletes[2]['statistics'];
						$dcon = '';
						foreach($con as $r){
							$dcon = $r['name'];
							if($dcon == 'wins') $saving_w = $r['displayValue'];
							if($dcon == 'losses') $saving_l = $r['displayValue'];
							if($dcon == 'ERA') $saving_era = $r['displayValue'];
							if($dcon == 'saves') $saving_save = $r['displayValue'];
						}
					}
				}
			}
			$link = $game[$i]['links'][0]['href']; /////// espn game link ///////
			$team = $game[$i]['competitions'][0]['competitors'];
			/////// away team ///////
			$awayrecord = isset($team[1]['records'][0]['summary'])
				? $team[1]['records'][0]['summary']
				: '';
			$awayid = $team[1]['id'];
			$awayid = $team[0]['id'];
			$awayteam = $team[1]['team']['displayName'];
			$awayabb = $team[1]['team']['abbreviation'];
			$awaylogo = isset($team[1]['team']['logo'])
				? $team[1]['team']['logo']
				: '';
			$awayscore = isset($team[1]['score'])
				? $team[1]['score']
				: '';
			$awayhits = $team[1]['hits'];
			$awayerrors = $team[1]['errors'];
			$awayscore = $awayscore == ''
				? 0
				: $awayscore;
			$awayhits = $awayhits == ''
				? 0
				: $awayhits;
			$awayerrors = $awayerrors == ''
				? 0
				: $awayerrors;
				/////// home team ///////
			$homerecord = isset($team[0]['records'][0]['summary'])
				? $team[0]['records'][0]['summary']
				: '';
			$homeid = $team[0]['id'];
			$hometeam = $team[0]['team']['displayName'];
			$homeabb = $team[0]['team']['abbreviation'];
			$homelogo = isset($team[0]['team']['logo'])
				? $team[0]['team']['logo']
				: '';
			$homescore = isset($team[0]['score'])
				? $team[0]['score']
				: '';
			$homehits = $team[0]['hits'];
			$homeerrors = $team[0]['errors'];
			$homescore = $homescore == ''
				? 0
				: $homescore;
			$homehits = $homehits == ''
				? 0
				: $homehits;
			$homeerrors = $homeerrors == ''
				? 0
				: $homeerrors;
			$team_win = '';
			$team_lose = '';
			$team_win_rec = '';
			$team_lose_rec = '';
			if($complete){
				if($team[0]['winner']){
					$winning_team = 'h';
					if($homelogo) $team_win = '<img src="'.$homelogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />';
					if($awaylogo) $team_lose = '<img src="'.$awaylogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />';
					if($homescore) $team_win_rec = $homerecord;
					if($awayscore) $team_lose_rec = $awayrecord;
				}else{
					$winning_team = 'a';
					if($awaylogo) $team_win = '<img src="'.$awaylogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />';
					if($homelogo) $team_lose = '<img src="'.$homelogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />';
					if($awaylogo) $team_win_rec = $awayrecord;
					if($homelogo) $team_lose_rec = $homerecord;
				}
			}
			/////// teams header ///////
			$active = '';
			if($i == 0) $active = ' active';
			echo '<div class="item main-wrapper min-450 border display-inline-block margin-all'.$active.'">'."\n";
			echo '	<div class="float-left margin-bottom-sm italic"><strong>'.($i + 1).'. </strong>'.$gameTime.'</div>'."\n";
			echo '	<div class="float-right"><a href="'.$link.'" target="_blank"><img src="image/espn200.png" alt="" style="width:45px;" /></a></div>'."\n";
			echo '	<div class="clear"></div>'."\n";
			$away = '<img src="'.$awaylogo.'" class="inline-block" alt="" class="display-inline-block v-align" style="width:17px;" />';
			$home = '<img src="'.$homelogo.'" class="inline-block" alt="" class="display-inline-block v-align" style="width:17px;" />';
			$awayrecord = !$awayrecord
				? ''
				: ' ('.$awayrecord.')';
			if($awaylogo) echo '	<div class="center bold">'.$away.' '.$awayteam.$awayrecord.'</div>'."\n";
			else echo '	<div class="center bold">TBD</div>';
			echo '	<div class="center bold">@</div>'."\n";
			$homerecord = !$homerecord
				? ''
				: ' ('.$homerecord.')';
			if($homelogo) echo '	<div class="margin-bottom center bold">'.$home.' '.$hometeam.$homerecord.'</div>'."\n";
			else echo '	<div class="center bold">TBD</div>';
			if($notes) echo '	<div class="margin-bottom center">'.$notes.'</div>'."\n";
			if($description == 'In Progress'){
				/////// on base ///////
				$fst = $game[$i]['competitions'][0]['situation']['onFirst'];
				$scd = $game[$i]['competitions'][0]['situation']['onSecond'];
				$trd = $game[$i]['competitions'][0]['situation']['onThird'];
				$bases = '';
				if($fst && !$scd && !$trd) $bases = '<img src="image/onbass/lg/1.png" alt="" style="width:45px;" />'."\n";
				if($scd && !$fst && !$trd) $bases = '<img src="image/onbass/lg/2.png" alt="" style="width:45px;" />'."\n";
				if($trd && !$fst && !$scd) $bases = '<img src="image/onbass/lg/3.png" alt="" style="width:45px;" />'."\n";
				if($fst && $scd && !$trd) $bases = '<img src="image/onbass/lg/1_2.png" alt="" style="width:45px;" />'."\n";
				if($fst && $trd && !$scd) $bases = '<img src="image/onbass/lg/1_3.png" alt="" style="width:45px;" />'."\n";
				if($scd && $trd && !$fst) $bases = '<img src="image/onbass/lg/2_3.png" alt="" style="width:45px;" />'."\n";
				if($fst && $scd && $trd) $bases = '<img src="image/onbass/lg/1_2_3.png" alt="" style="width:45px;" />'."\n";
				if(!$fst && !$scd && !$trd) $bases = '<img src="image/onbass/lg/0.png" class="inline-block" alt="" style="width:45px;" />'."\n";
				/////// on deck ///////
				$due_up = '';
				$due_id = 9999999;
				$last = $game[$i]['competitions'][0]['situation']['lastPlay']['text'];
				$balls = $game[$i]['competitions'][0]['situation']['balls'];
				$strikes = $game[$i]['competitions'][0]['situation']['strikes'];
				$outs = $game[$i]['competitions'][0]['situation']['outs'];
				if(isset($game[$i]['competitions'][0]['situation']['dueUp'])){
					$tween = 1;
					$due_id = $game[$i]['competitions'][0]['situation']['dueUp'][0]['athlete']['team']['id'];
					$due_up .= '<div class="float-right text-right">';
					$due = $game[$i]['competitions'][0]['situation']['dueUp'][0]['athlete']['shortName'];
					$due_pos = $game[$i]['competitions'][0]['situation']['dueUp'][0]['athlete']['position'];
					$due_num = $game[$i]['competitions'][0]['situation']['dueUp'][0]['athlete']['jersey'];
					$due_up .= '<strong>'.$due.'</strong> ( #'.$due_num.' '.$due_pos.')<br/>';
					$due = $game[$i]['competitions'][0]['situation']['dueUp'][1]['athlete']['shortName'];
					$due_pos = $game[$i]['competitions'][0]['situation']['dueUp'][1]['athlete']['position'];
					$due_num = $game[$i]['competitions'][0]['situation']['dueUp'][1]['athlete']['jersey'];
					$due_up .= '<strong>'.$due.'</strong> ( #'.$due_num.' '.$due_pos.')<br/>';
					$due = $game[$i]['competitions'][0]['situation']['dueUp'][2]['athlete']['shortName'];
					$due_pos = $game[$i]['competitions'][0]['situation']['dueUp'][2]['athlete']['position'];
					$due_num = $game[$i]['competitions'][0]['situation']['dueUp'][2]['athlete']['jersey'];
					$due_up .= '<strong>'.$due.'</strong> ( #'.$due_num.' '.$due_pos.')';
					$due_up .= '</div>';
				}else{
					$tween = 0;
					$due_id = 9999999;
				}
				/////// pitcher  ///////
				if(isset($game[$i]['competitions'][0]['situation']['pitcher'])){
					$ball = '&nbsp;<img src="image/baseball-sm.jpg" alt="" class="display-inline-block v-align" style="width:11px;" />&nbsp;&nbsp;';
					$pid = $game[$i]['competitions'][0]['situation']['pitcher']['athlete']['team']['id'];
					$pitcher = $game[$i]['competitions'][0]['situation']['pitcher']['athlete']['shortName'];
					$psum = $game[$i]['competitions'][0]['situation']['pitcher']['summary'];
					$psum = ''.str_ireplace(array(', ER',', H',', K',', BB',''),array(', 0 ER',', 0 H',', 1 K',', 0 BB',''),$psum);
					$pteam = $pid == $homeid
						? '<img src="'.$homelogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />'
						: '<img src="'.$awaylogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />';
					if(!$tween) echo '	<div class="margin-bottom-sm"><span class="display-inline-block v-align bold">'.$pteam.'</span> '.$ball.' <span class="display-inline-block v-align"><strong>'.$pitcher.'</strong> ('.$psum.')</span></div>'."\n";	
				}
				/////// batter  ///////
				if(isset($game[$i]['competitions'][0]['situation']['batter'])){
					$bat = '&nbsp;<img src="image/bat2.png" alt="" class="display-inline-block v-align" style="width:14px;" />&nbsp;';
					$bid = $game[$i]['competitions'][0]['situation']['batter']['athlete']['team']['id'];
					$batter = $game[$i]['competitions'][0]['situation']['batter']['athlete']['shortName'];
					$bsum = $game[$i]['competitions'][0]['situation']['batter']['summary'];

					$bteam = $bid == $homeid
						? '<img src="'.$homelogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />'
						: '<img src="'.$awaylogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />';
					if(!$tween) echo '<div class="margin-bottom"><span class="display-inline-block v-align bold">'.$bteam.'</span> '.$bat.' <span class="display-inline-block v-align"><strong>'.$batter.'</strong> ('.$bsum.')</span></div>'."\n";	
				}
				if($due_id == $homeid){
					$due_abb = '<img src="'.$homelogo.'" class="display-inline-block v-align" alt="" style="width:17px;" />';
				}else{
					$due_abb = '<img src="'.$awaylogo.'" class="inline-block" alt="" class="display-inline-block v-align" style="width:17px;" />';
				}
				if($tween){
					$what = '<div class="display-inline-block margin-bottom bold small-text">'.$due_abb.' On Deck </div> '.$due_up.'';
					echo $what;
				echo '<div class="clear margin-bottom-sm"> </div>'."\n";
				}
				echo '<div class="center"><strong>'.$balls.'</strong> Balls&nbsp; <strong>'.$strikes.'</strong> Strikes&nbsp; <strong>'.$outs.'</strong> Outs  ('.$detail.')</div>';
			}
			if($complete){
				/////// pitcher winner/loser/save  ///////
				if($winning_team == 'h'){
					echo '<div class="margin-bottom-sm bold"><strong class="display-inline-block v-align">L</strong>&nbsp;&nbsp;'.$team_lose.' ';
					if($losing_pitcher) echo $losing_pitcher.' ('.$losing_w.'-'.$losing_l.' '.$losing_era.')</div>'."\n";
					echo '<div class="margin-bottom-sm green bold"><strong class="display-inline-block v-align">W&nbsp;</strong>'.$team_win.' '.$winning_pitcher.' ('.$winning_w.'-'.$winning_l.' '.$winning_era.')</div>'."\n";
					if($saving_pitcher) echo '<div class="margin-bottom-sm green"><strong class="display-inline-block v-align">S&nbsp;&nbsp;</strong>'.$team_win.' '.$saving_pitcher.' ('.$saving_w.'-'.$saving_l.' '.$saving_era.')</div>'."\n";
				}else{
					echo '<div class="margin-bottom-sm green bold"><strong class="display-inline-block v-align">W&nbsp;</strong>'.$team_win.' ';
					if($winning_pitcher) echo $winning_pitcher.' ('.$winning_w.'-'.$winning_l.' '.$winning_era.')</div>'."\n";
					if($saving_pitcher) echo '<div class="margin-bottom-sm green"><strong class="display-inline-block v-align">S&nbsp;&nbsp;</strong>'.$team_win.' '.$saving_pitcher.' ('.$saving_w.'-'.$saving_l.' '.$saving_era.')</div>'."\n";
					echo '<div class="margin-bottom-sm bold"><strong class="display-inline-block v-align">L&nbsp;&nbsp;</strong>'.$team_lose.' '.$losing_pitcher.' ('.$losing_w.'-'.$losing_l.' '.$losing_era.')</div>'."\n";
				}
				echo '<div class="clear margin-bottom"></div>'."\n";
			}
			/////// innings ///////
			$notes = '';
			if(isset($game[$i]['competitions'][0]['notes'][0])){
				$notes = $game[$i]['competitions'][0]['notes'][0]['headline'];
				$getdh = strstr($notes, ' ', true);
				$getdh = strtolower($getdh);
				$dh = strpos($getdh, 'doubleheader') !== false
					? 1
					: 0;
				$dhn = substr($notes, strrpos($notes, ' ' )+1)."\n";
				$dhn = trim($dhn);
			}
			echo '<table border=1 class="center">'."\n";
			$this->linescores($team,1,null,null,'R','H','E',$complete,$dh,true);
			$win = $winning_team == 'a' ? 1 : 0;
			$this->linescores($team,1,$awaylogo,$win,$awayscore,$awayhits,$awayerrors,$complete,$dh);
			$win = $winning_team == 'h' ? 1 : 0;
			$this->linescores($team,0,$homelogo,$win,$homescore,$homehits,$homeerrors,$complete,$dh);
			echo '</table>'."\n";
			if(!$complete && $description == 'In Progress'){
				echo '<div class="clear margin-bottom-sm"> </div>'."\n";
				if($tween){
					$what = '<div class="display-inline-block padding-right"><img src="image/onbass/lg/0.png" class="display-inline-block" alt="" style="width:45px;" /></div><div class="med-text display-inline-block max-300">'.$detail.'</div>';
				}else{
					/////// on base ///////
					$what = '<div class="display-inline-block padding-right">'.$bases.'</div><div class="display-inline-block med-text padding-top-sm max-400">'.$last.'</div>';
				}
				echo '<div class="med-text padding-top-sm">'.$what.'</div>'."\n";
			}else if($complete){
				/////// team leaders ///////
				$x = $winning_team == 'h'
					? 0
					: 1;
				echo '<div class="clear margin-bottom"></div>'."\n";
				echo '<table class="w-100">'."\n";
				$this->leaders_display($team,$x,"player");
				$this->leaders_display($team,$x,"stats");
				$this->leaders_display($team,$x,"display");
				$this->leaders_display($team,$x,"headshot");
				echo '</table>'."\n";
				echo '<div class="clear margin-bottom"></div>'."\n";
			}else{
				echo '<div class="clear margin-bottom-sm"></div>'."\n";
				/////// pre game info ///////
				$game_away = $game[$i]['competitions'][0]['competitors'][1];
				if(isset($game[$i]['competitions'][0]['competitors'][0]['probables'][0]) || isset($game[$i]['competitions'][0]['competitors'][1]['probables'][0])){
					echo '<div class="margin-all-bottom">Starting Pitchers:</div>'."\n";
					$game_away = $game[$i]['competitions'][0]['competitors'][1];
					$away_line = ' <div class="display-inline-block bold"> (NA)</div>'."\n";
					if(isset($game_away['probables'][0]['statistics'])){
						$stats_away = $game_away['probables'][0]['statistics'];
						$stat_w = $this->stats_pitcher($stats_away,'wins');
						$stat_l = $this->stats_pitcher($stats_away,'losses');
						$wl = $stat_w.'-'.$stat_l;
						$wl = $stat_w.'-'.$stat_l;
						if($stat_w === 0){
							$wl = $wl;
						}else if($stat_w == ''){
							$wl = ' (NA)';
						}
						$stat_era = $this->stats_pitcher($stats_away,'ERA');
						$pitcher_away = $game_away['probables'][0]['athlete']['displayName'];
						if(isset($game_away['probables'][0]['athlete']['headshot'])){
							$away_head = $game_away['probables'][0]['athlete']['headshot'];
							$away_head = '<img src="'.$away_head.'" alt="" style="height:20px;" class="display-inline-block" />'."\n";
						}else{
							$away_head =  '<img src="image/headshot.png" alt="" style="height:17px;" class="display-inline-block" />'."\n";
						}
						$away_line = $away_head.' <div class="display-inline-block">'.$pitcher_away.' '.$wl.'&nbsp; '.$stat_era.'</div>'."\n";
					}else{
						$away_head =  '&nbsp;<img src="image/headshot.png" alt="" style="height:17px;" class="display-inline-block" />'."\n";
						$away_line = $away_head.' <div class="display-inline-block">NA</div>'."\n";
					}
					echo '<div class="padding-bottom-sm bold"><div class="display-inline-block">'.$awayabb.'</div>'.$away_line.'</div>'."\n";

					$game_home = $game[$i]['competitions'][0]['competitors'][0];
					$home_line = ' <div class="display-inline-block bold text"> (NA)</div>'."\n";;
					if(isset($game_home['probables'][0]['statistics'])){
						$stats_home = $game_home['probables'][0]['statistics'];
						$stat_w = $this->stats_pitcher($stats_home,'wins');
						$stat_l = $this->stats_pitcher($stats_home,'losses');
						$wl = $stat_w.'-'.$stat_l;
						if($stat_w === 0){
							$wl = $wl;
						}else if($stat_w == ''){
							$wl = ' (NA)';
						}
						$stat_era = $this->stats_pitcher($stats_home,'ERA');
						$pitcher_home = $game_home['probables'][0]['athlete']['displayName'];
						if(isset($game_home['probables'][0]['athlete']['headshot'])){
							$home_head = $game_home['probables'][0]['athlete']['headshot'];
							$home_head = '<img src="'.$home_head.'" alt="" style="height:20px;" class="display-inline-block" />';
						}else{
							$home_head = '<img src="image/headshot.png" alt="" style="height:17px;" class="display-inline-block" />'."\n";
						}
						$home_line = $home_head.' <div class="display-inline-block">'.$pitcher_home.' '.$wl.'&nbsp; '.$stat_era.'</div>'."\n";
					}else{
						$home_head =  '<img src="image/headshot.png" alt="" style="height:17px;" class="display-inline-block" />'."\n";
						$home_line = $home_head.' <div class="display-inline-block">NA</div>'."\n";
					}
					echo '<div class="bold"><div class="display-inline-block">'.$homeabb.'</div>'.$home_line.'</div>'."\n";
				}
			}
			echo '</div>'."\n";
		}
	}
}
$baseballJson = new jsonBaseball();
?>