<?php
class jsonBasketball extends jsonCommon{
	public function leaders_display($array,$team,$type=NULL){
		$game_stats = '';
		$game_stats .= '<tr>';
		$leader = $array[$team]['leaders'];
		$leader_cnt = count($leader);
		for($iw=0; $iw<3; $iw++){
			$cat = '';
			$lineclass = '';
			$player = $leader[$iw]['leaders'][0]['athlete']['shortName'];
			$stat = $leader[$iw]['leaders'][0]['displayValue'];
			$val = $leader[$iw]['leaders'][0]['value'];
			$name = $leader[$iw]['abbreviation'];
			$headshot = '<img src="image/headshot.png" alt="" style="width:55px;" class="center" />';
			if(isset($leader[$iw]['leaders'][0]['athlete']['headshot'])){
				$img = $leader[$iw]['leaders'][0]['athlete']['headshot'];
				$headshot = '<img src="'.$img.'" alt="" style="width:55px;" class="center" />';
			}
			if($val>0){
				if($iw === 0) $cat .= 'Pts';
				if($iw === 1) $cat .= 'Reb';
				if($iw === 2) $cat .= 'Ast';
				if($iw === 3) $cat .= 'RAT';
				if($cat == 'RAT'){
					$val = number_format($val, 3, '.', '');
					$str = ltrim($val, '0') ?: '0';
					$val = $str;
				}
				if($type == 'player'){
					$game_stats .= '<td class="padding-all-sm center"><strong>'.$player.'</strong></td>';
				}
				if($type == 'stats'){
					$game_stats .= '<td class="padding-all-sm center">'.$val.' '.$cat.'</td>';
				}
				if($type == 'headshot'){
					$game_stats .= '<td class="padding-all-sm">'.$headshot.'</td>';
				}
			}
		}
		$game_stats .= '</tr>';
		echo $game_stats;
	}
	public function linescores($array,$team,$logo,$win,$score,$complete,$header=NULL){
		$win_class = ($win && $complete && !$header)
			? ' bold green'
			: '';
		if(!$header){
			$logo = '<img src="'.$logo.'" alt="" style="width:22px;" />';
		}else{
			$logo = '';
		}
		echo '	<tr>'."\n";
		echo '		<td class="padding-sm-all center">'.$logo.'</td>'."\n";
		if(isset($array[1]['linescores'])){
			$awayinnings = $array[1]['linescores'];
			$cnt_awayinnings = count($awayinnings);
			$homeinnings = $array[0]['linescores'];
			$cnt_homeinnings = count($homeinnings);
			if(isset($array[$team]['linescores'])){
				$innings = $array[$team]['linescores'];
				$cnt_innings = count($innings);
				for($ai=0; $ai<$cnt_innings; $ai++){
					if(isset($innings[$ai]['value'])){
						$inning = $innings[$ai]['value'];
						if($header){
							$inning = $ai + 1;
							/*$inning = $inning < 10
								? '&nbsp;'.$inning
								: $inning;*/
						}
						echo '		<td class="padding-sm-all'.$win_class.'">'.$inning.'</td>'."\n";
					}
				}
				if(($team == 0 && $cnt_awayinnings > $cnt_homeinnings)){
					echo '		<td class="padding-sm-all'.$win_class.'">0</td>'."\n";
				}
				$max = $cnt_innings < 4
					? 4
					: $cnt_innings;
				for($ai=$cnt_innings; $ai<$max; $ai++){
						$inning = 0;
						if($header) $inning = $ai + 1;
						echo '		<td class="padding-sm-all'.$win_class.'">'.$inning.'</td>'."\n";
				}
			}
		}else{
			$max = 4;
			for($ai=0; $ai<$max; $ai++){
					$inning = 0;
					if($header) $inning = $ai + 1;
					echo '		<td class="padding-sm-all'.$win_class.'">'.$inning.'&nbsp;</td>'."\n";
			}
		}
		echo '		<td class="padding-sm-all left bold"><span class="'.$win_class.'">'.$score.'</span></td>'."\n";
		echo '	</tr>'."\n";
	}
	public function basketball_json($games){
		$game = $games['events'];
		$gameTime = '';
		$tween = 0;
		$winning_team = '';
		$losing_team = '';
		$win_home = 0;
		$win_away = 0;
		$win_class = '';
		$areb = '';
		$hreb = '';
		$afgp = '';
		$hfgp = '';
		$a3gp = '';
		$h3gp = '';
		$cnt = count($game);
		for($i=0; $i<$cnt; $i++){
			$eid = $game[$i]['id'];
			$complete = $game[$i]['status']['type']['completed'];
			$description = $game[$i]['status']['type']['description'];
			$detail = $game[$i]['status']['type']['detail'];
			$shortDetail = $game[$i]['status']['type']['shortDetail'];
			$postponed = $detail == 'Postponed'
				? 1
				: 0;
			if($description == 'Scheduled'){
				$date = str_ireplace(array(' at', 'EDT',' EST'.' - '),array('','',''),$detail);
				$gameTime = date('D M jS g:i a', strtotime($date));
				if($shortDetail == 'TBD'){
					list($edate,$etime) = explode(" - ",$detail);
					$gameTime = date('D M jS', strtotime($edate));
				}
			}else{
				$status = $complete
					? ' Complete'
					: ' In Progress';
				$gameTime = $detail == 'Postponed'
					? 'Postponed'
					: $detail;
			}
			$notes = '';
			if(isset($game[$i]['competitions'][0]['notes'][0])){
				$notes = ' '.$game[$i]['competitions'][0]['notes'][0]['headline'];
				//echo '<div class="max-350 padding-top">'.$notes.'</div>'."\n";
			}
			$link = $game[$i]['links'][0]['href']; /////// espn game link ///////
			$team = $game[$i]['competitions'][0]['competitors'];
			/////// away team ///////
			$awayid = $team[1]['id'];
			$awayrecord = isset($team[1]['records'][0]['summary'])
				? '('.$team[1]['records'][0]['summary'].')'
				: '';
			$awayteam = $team[1]['team']['displayName'];
			$awayabb = $team[1]['team']['abbreviation'];
			$awaylogo = isset($team[1]['team']['logo'])
				? $team[1]['team']['logo']
				: '';
			$awayscore = isset($team[1]['score'])
				? $team[1]['score']
				: '';
			$awaystats = $team[1]['statistics'];
			//echo '<div>'.count($awaystats).'</div>';

			$homeid = $team[0]['id'];
			$hometeam = $team[0]['team']['displayName'];
			$homerecord = isset($team[0]['records'][0]['summary'])
				? '('.$team[0]['records'][0]['summary'].')'
				: '';
			$homeabb = $team[0]['team']['abbreviation'];
			$homelogo = isset($team[0]['team']['logo'])
				? $team[0]['team']['logo']
				: '';
			$homescore = isset($team[0]['score'])
				? $team[0]['score']
				: '';
			$homestats = $team[0]['statistics'];
			if($complete){
				foreach($awaystats as $astat){
					$aname = $astat['name'];
					if($aname == 'rebounds'){
						$areb = $astat['displayValue'];
					}
					if($aname == 'fieldGoalPct'){
						$afgp = $astat['displayValue'];
					}
					if($aname == 'threePointPct'){
						$a3gp = $astat['displayValue'];
					}
				}
				foreach($homestats as $hstat){
					$hname = $hstat['name'];
					if($hname == 'rebounds'){
						$hreb = $hstat['displayValue'];
					}
					if($hname == 'fieldGoalPct'){
						$hfgp = $hstat['displayValue'];
					}
					if($hname == 'threePointPct'){
						$h3gp = $hstat['displayValue'];
					}
				}
				$winning_team = $team[0]['winner']
					? 'h'
					: 'a';
				if($winning_team == 'a'){
					$hwin = 'L';
					$awin = 'W';
					$win_away = 1;
					$win_home = 0;
					$win_class_away = ' bold green';
					$win_class_home = '';
				}
				if($winning_team == 'h'){
					$awin = 'L';
					$hwin = 'W';
					$win_home = 1;
					$win_away = 0;
					$win_class_home = ' bold green';
					$win_class_away = '';
				}
			}else{
				$win_class_home = '';
				$win_class_away = '';
			}
			$active = '';
			if($i == 0) $active = ' active';
			echo '<div class="item main-wrapper min-450 border display-inline-block margin-all'.$active.'">'."\n";
			echo '<div class="float-left italic"><strong>'.($i + 1).'.</strong> '.$gameTime.'</div>'."\n";
			echo '<div class="float-right display-inline-block"><a href="'.$link.'" target="_blank"><img src="image/espn200.png" alt="" style="width:45px;" /></a></div>'."\n";
			echo '<div class="clear margin-bottom-sm"></div>'."\n";
			if($awaylogo){
				echo '<div class="center bold'; if($win_away) echo $win_class_away; echo '"> <img src="'.$awaylogo.'" alt="" style="width:22px;" class="display-inline-block" /> <div class="display-inline-block">'.$awayteam.' '.$awayrecord.'</div></div>'."\n";
			}else{
				echo 'TBD';
			}
			echo '<div class="margin-bottom-sm center bold">@</div>'."\n";
			if($homelogo){
				echo '<div class="margin-bottom center bold'; if($win_home) echo $win_class_home; echo '"> <img src="'.$homelogo.'" alt="" style="width:22px;" class="display-inline-block" /> <div class="display-inline-block">'.$hometeam.' '.$homerecord.'</div></div>'."\n";
			}else{
				echo 'TBD';
			}
			if($notes) echo '<div class="margin-bottom center">'.$notes.'</div>'."\n";
			if($complete){
				$table = '<table class="margin-bottom center">'."\n";
				$table .= '	<tr class="bold'.$win_class_away.'">'."\n";
				$table .= '		<td>'.$awin.'</td>'."\n";
				$table .= '		<td class="padding-right-sm"><img src="'.$awaylogo.'" alt="" style="width:20px;" /></td>'."\n";
				$table .= '		<td class="padding-left-sm padding-right-sm"> FG% '.$afgp.'</td>'."\n";
				$table .= '		<td class="padding-left-sm padding-right-sm">3Pt% '.$a3gp.'</td>'."\n";
				$table .= '		<td class="padding-left-sm">RB '.$areb.'</td>'."\n";
				$table .= '	</tr>'."\n";
				$table .= '	<tr class="bold'.$win_class_home.'">'."\n";
				$table .= '		<td>'.$hwin.'</td>'."\n";
				$table .= '		<td class="padding-right-sm"><img src="'.$homelogo.'" alt="" style="width:20px;" /></td>'."\n";
				$table .= '		<td class="padding-left-sm padding-right-sm"> FG% '.$hfgp.'</td>'."\n";
				$table .= '		<td class="padding-left-sm padding-right-sm">3Pt% '.$h3gp.'</td>'."\n";
				$table .= '		<td class="padding-left-sm">RB '.$hreb.'</td>'."\n";
				$table .= '	</tr>'."\n";
				$table .= '</table>'."\n";
				echo $table;
			}
			echo '<table class="center" border=1>'."\n";
			$this->linescores($team,1,null,null,'T',$complete,1);
			$this->linescores($team,1,$awaylogo,$win_away,$awayscore,$complete);
			$this->linescores($team,0,$homelogo,$win_home,$homescore,$complete);
			echo '</table>'."\n";
			echo '<div class="clear padding-bottom-sm"></div>'."\n";
			if($complete){
				$x = $winning_team == 'h'
					? 0
					: 1;
				echo '<table class="w-100">'."\n";
				$this->leaders_display($team,$x,"player");
				$this->leaders_display($team,$x,"stats");
				$this->leaders_display($team,$x,"headshot");
				echo '</table>'."\n";
			}if(!$complete && $description == 'In Progress'){
				echo '<div class="clear padding-bottom-sm"></div>'."\n";
				/////// pre game info ///////
				if(isset($game[$i]['competitions'][0]['situation']['lastPlay'])){
					$last_id = isset($game[$i]['competitions'][0]['situation']['lastPlay']['team'])
						? $game[$i]['competitions'][0]['situation']['lastPlay']['team']['id']
						: '';
					if($awayid == $last_id){
						$last_team = '<img src="'.$awaylogo.'" alt="" style="width:20px;" />';
					}else if($homeid == $last_id){
						$last_team = '<img src="'.$homelogo.'" alt="" style="width:20px;" />';
					}else{
						$last_team = '';
					}
					$last_type = $game[$i]['competitions'][0]['situation']['lastPlay']['type']['text'];
					$last = $game[$i]['competitions'][0]['situation']['lastPlay']['text'];
					echo '<div class="max-350 padding-bottom-sm">'.$last_team.' ('.$last_type.') '.$last.'</div>'."\n";
				}
			}
			if($notes){
				//echo '<div class="max-350 padding-top">'.$notes.'</div>'."\n";
			}
			echo '</div>'."\n";
		}
	}
}
$basketballJson = new jsonBasketball();
?>